Syndai Docs

Guess a GitHub project's website address

GET
/api/v1/external/coding/customers/{customer_id}/repositories/{coding_repository_id}/github-prefill

The newest successful production* deployment that reported a URL. flagged: its homepage answers noindex (reason: noindex) or robots.txt names no sitemap (reason: no_sitemap). reason with flagged: false = that check couldn't run (the site refused Syndai's read). Also makes the workspace's Google identity.

Authorization

CustomerApiKey
headerAuthorizationBearer <API Key>

Customer API key sent as a bearer token

Path Parameters

customer_id*string
Formatuuid
coding_repository_id*string
Formatuuid

Response Body

Request fulfilled, document follows

application/json
  1. response
flagged*boolean
origin?string|null
reason?|
Value in"noindex""no_sitemap"null
Example Request
curl -X GET 'https://api.syndai.ai/api/v1/external/coding/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08/repositories/497f6eca-6276-4993-bfeb-53cbbbba6f08/github-prefill'
Example Response
{  "flagged": true,  "origin": "string",  "reason": "noindex"}